# getDidWork

abstract fun getDidWork(): Boolean

Checks if the task actually did any work.

Even if a task executes, it may determine that it has nothing to do. For example, a compilation task may determine that source files have not changed since the last time the task was run.

Checking this value is meaningful only after the task has been executed.

#### Return

true if this task has been executed and did any work.